/**
 * \file EspaceUI.h
 * Classe de gestion d'une matrice d'unsigned int.
 * 
 * @author Nicolas Janey
 * @author nicolas.janey@univ-fcomte.fr
 * @version 1.0, 01/01/10
 */

#ifndef ____ESPACEUI____
#define ____ESPACEUI____

/**
 * \class EspaceUI
 * Classe de gestion d'une matrice d'unsigned int.
 * 
 * @author Nicolas Janey
 * @author nicolas.janey@univ-fcomte.fr
 * @version 1.0, 01/01/10
 */

class EspaceUI {

  public :
    int dx ;
    int dy ;
    unsigned int **p ;
    int good;

  public :
    EspaceUI(int dx,int dy) ;
    EspaceUI(EspaceUI *dd) ;
    ~EspaceUI(void) ;
    void init(unsigned int v) ;
    void init(unsigned char v) ;
    unsigned int cherche(int x,int y) ;
    void sauve(unsigned int c,int x,int y) ;
    long getUsedMemory(void);
    int getUsedHandles(void);
} ;

#endif
